diff testbuild.sh @ 380:d5faf4814ddb libtomcrypt-orig libtomcrypt-1.16

Update to LibTomCrypt 1.16
author Matt Johnston <matt@ucc.asn.au>
date Thu, 11 Jan 2007 02:22:00 +0000
parents 59400faa4b44
children
line wrap: on
line diff
--- a/testbuild.sh	Wed Mar 08 12:58:00 2006 +0000
+++ b/testbuild.sh	Thu Jan 11 02:22:00 2007 +0000
@@ -3,7 +3,7 @@
 make clean 1>/dev/null 2>/dev/null
 echo -n "building..."
 touch testok.txt
-CFLAGS="$2" make -f $3 test tv_gen 1>gcc_1.txt 2>gcc_2.txt || (echo "build $1 failed see gcc_2.txt for more information" && cat gcc_2.txt && rm -f testok.txt && exit 1)
+CFLAGS="$2 $CFLAGS $4" EXTRALIBS="$5" make -f $3 test tv_gen 1>gcc_1.txt 2>gcc_2.txt || (echo "build $1 failed see gcc_2.txt for more information" && cat gcc_2.txt && rm -f testok.txt && exit 1)
 if find testok.txt -type f 1>/dev/null 2>/dev/null ; then
    echo "successful"
    exit 0